'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _LeftNavMenuItem = require('./LeftNavMenuItem');

var _LeftNavMenuItem2 = _interopRequireDefault(_LeftNavMenuItem);

require('../../../styles/components/left-nav.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var LeftNav = function (_React$Component) {
  (0, _inherits3['default'])(LeftNav, _React$Component);

  function LeftNav() {
    (0, _classCallCheck3['default'])(this, LeftNav);
    return (0, _possibleConstructorReturn3['default'])(this, _React$Component.apply(this, arguments));
  }

  LeftNav.prototype.render = function render() {
    return _react2['default'].createElement(
      'nav',
      (0, _extends3['default'])({ className: 'nav__left ' }, this.props),
      this.props.children
    );
  };

  return LeftNav;
}(_react2['default'].Component);

LeftNav.MenuItem = _LeftNavMenuItem2['default'];
LeftNav.propTypes = {
  /** One of: MenuItem, Node */
  children: _react2['default'].PropTypes.node
};


LeftNav.defaultProps = {};

exports['default'] = LeftNav;
module.exports = exports['default'];
//# sourceMappingURL=LeftNav.js.map